Synology

1 year 2 months ago #876 by Chiller
Chiller created the topic: Synology
Была тема по установке SOPDS версии 0.23 и раннее на устройства Synology
( sopds.ru/index.php/forum/instruktsii-po-...synology-nas-ds-413j ). Сейчас в новой версии SOPDS процедура установки изменилась, да и DSM сейчас 6й версии. Кто силен в линуксе и у кого есть Synology, напишите пожалуйста новую инструкцию по установке SOPDS. Заранее спасибо.

Please Войти or Create an account to join the conversation.

  • Chiller
  • Chiller's Avatar Topic Author
  • Offline
  • Новый участник
  • Новый участник
More
1 year 2 months ago #878 by rpin
rpin replied the topic: Synology
Я в свое время создавал эту тему по sopds на ds413j - все делал на уровне метода-тыка, особых знаний по линуксу у меня нет. да и nas у меня сейчас не переведен на dsm 6-ю версию, использую 5-й.
Если честно - жду умельца кто "заведет" на synology новый sopds. А пока использую старую 0.23 версию, да и то чаще с флибусты беру книги-новинки...

Please Войти or Create an account to join the conversation.

  • rpin
  • rpin's Avatar
  • Offline
  • Осваиваюсь на форуме
  • Осваиваюсь на форуме
More
1 year 2 months ago #879 by mitshel
mitshel replied the topic: Synology
А где проблема-то возникла?
Вы попробуйте для начала по инструкции, если появится какая-то проблема с установкой, пишите сюда.

На мой взгляд установка как раз проще должна получится, т.к. использование mySQL вовсе не обязательно сейчас.

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
1 year 1 month ago #967 by Chiller
Chiller replied the topic: Synology
1. Скачал pip bootstrap.pypa.io/get-pip.py
2. Под рутом через putty Запустил "python3 get-pip.py"
root@NAS:/volume1/web/opds# python3 get-pip.py
Collecting pip
  Using cached pip-9.0.1-py2.py3-none-any.whl
Collecting setuptools
  Using cached setuptools-32.3.1-py2.py3-none-any.whl
Collecting wheel
  Using cached wheel-0.29.0-py2.py3-none-any.whl
Installing collected packages: pip, setuptools, wheel
Successfully installed pip-9.0.1 setuptools-32.3.1 wheel-0.29.0
3. Запускаю "pip3 install -r requirements.txt"
root@NAS:/volume1/web/opds# pip3 install -r requirements.txt
-ash: pip3: command not found

P.S.
1. запускаю "pip install -r requirements.txt" - (pip без тройки)
root@NAS:/volume1/web/opds# pip install -r requirements.txt
Requirement already satisfied: Django>=1.8 in /usr/lib/python2.7/site-packages (from -r requirements.txt (line 1))
Requirement already satisfied: Pillow>=2.9.0 in /usr/lib/python2.7/site-packages (from -r requirements.txt (line 2))
Requirement already satisfied: apscheduler>=3.3.0 in /usr/lib/python2.7/site-packages (from -r requirements.txt (line 3))
Requirement already satisfied: olefile in /usr/lib/python2.7/site-packages (from Pillow>=2.9.0->-r requirements.txt (line 2))
Requirement already satisfied: funcsigs; python_version == "2.7" in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: setuptools>=0.7 in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: pytz in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: six>=1.4.0 in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: tzlocal>=1.2 in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
Requirement already satisfied: futures; python_version == "2.7" in /usr/lib/python2.7/site-packages (from apscheduler>=3.3.0->-r requirements.txt (line 3))
2. запускаю "python3 manage.py migrate"
root@NAS:/volume1/web/opds# python3 manage.py migrate
Traceback (most recent call last):
  File "manage.py", line 8, in <module>
    from django.core.management import execute_from_command_line
ImportError: No module named 'django'
3. Читаю эту тему " www.sopds.ru/index.php/forum/razdel-pred...-module-named-django ", подобная ситуация с PIP3:
4. Запускаю "python3 -m ensurepip"
root@NAS:/volume1/web/opds# python3 -m ensurepip
Ignoring indexes: https://pypi.python.org/simple
Requirement already satisfied (use --upgrade to upgrade): setuptools in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages
Requirement already satisfied (use --upgrade to upgrade): pip in /volume1/@appstore/py3k/usr/local/lib/python3.5/site-packages
5. Команда "PIP3" так и не работает.

Подскажите, что можно сделать?

Please Войти or Create an account to join the conversation.

  • Chiller
  • Chiller's Avatar Topic Author
  • Offline
  • Новый участник
  • Новый участник
More
1 year 1 month ago - 1 year 1 month ago #969 by mitshel
mitshel replied the topic: Synology
можно попробовать найти pip3 в вашей файловой системе, и можно попробовать запустить pip следующим образом:
python3 -m pip -r requiremets.txt
Last Edit: 1 year 1 month ago by mitshel.

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
Time to create page: 0.120 seconds